h1 {
  color: #fff;
  font-size: 50px;
}

.poster-page {
  min-height: calc(100vh - 152px);
  margin-top: 120px;
}

.poster-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* 4 колонки з однаковою шириною */
  gap: 15px; /* Відстань між елементами */
}

.info-row span{
	width: calc(100% - 25px);
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.5;
    max-height: calc(1.5em* 2);
}

.slider-top {
  margin-top: 70px;
  /* border: 1px solid green; */
  max-width: 1200px;
  padding: 0 20px;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 70px;
}

.swiper-slide {
  width: auto;
  position: relative;
 border: 1px solid #1354a9; */
  background-color: #000;
  /* border:1px solid #D9D9D947; */
}

.swiper-slide img {
  width: 100%;
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  height: auto;
}

.slide-info {
  padding: 0 10px;
}

.slide-info__top h2 {
  color: #fff;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  padding: 10px 0px;
  /* border-bottom: 1px solid #d9d9d947; */
}

.slide-info__top {
  margin-bottom: 10px;
}

.info-row {
  display: flex;
  align-items: center;
  color: #fff;
  gap: 10px;
  font-size: 14px;
  height: 40px;
}

.posters-top {
  max-width: 1200px;
  margin: 0 auto;
  color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 50px;
  padding: 0 15px;
}

.posters-top__block {
  display: flex;
  align-items: center;
  gap: 20px;
}

.data-input {
  width: 0px;
  height: 0px;
  border: none;
  outline: none;
  position: absolute;
}

.posters-top__block {
  position: relative;
}

select {
  border: none;
  outline: none;
  position: absolute;
  left: 0;
  top: 0;
  background: transparent;
  opacity: 0;
  width: 0;
  font-size: 16px;
  cursor: pointer;
  position: absolute;
}

.poster-page label {
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  user-select: none;
  position: relative;
}

.filter-item {
  position: relative;
}

.checkbox-input {
  background-color: transparent;
  border: 1px solid #fff;
  accent-color: transparent;
}

#limit-checkbox {
  width: 0;
  height: 0;
}

#prem.active {
  color: var(--link-hover-color);
}

#prem.active svg {
  fill: var(--link-hover-color);
}

.select-options {
  position: absolute;
  z-index: 3;
  background-color: #000;
  font-size: 18px;
  font-weight: 500;
  width: 150px;
  border-radius: 8px;
  opacity: 0;
  max-height: 0px;
  transition: 0.3s;
  overflow: hidden;
}

.select-options.big {
  width: fit-content;
}

.select-options.active {
  opacity: 1;
  max-height: 310px;
}

.select-options div {
  padding: 10px;
  transition: 0.3s;
  cursor: pointer;
}

.select-options div:hover {
  color: var(--link-hover-color);
}

.alternative {
  display: none;
  margin-bottom: 20px;
}

.hide-filter {
  display: none;
}

@media (max-width: 1024px) {
  .alternative {
    display: flex;
    color: #fff;
    padding: 0 25px;
    align-items: center;
    font-size: 30px;
  }

  .alternative span {
    color: #fff;
    font-size: 40px;
    font-weight: 600;
    margin-right: 20px;
  }
  .alternative svg {
    width: 40px;
    height: 40px;
  }

  .alternative div {
    cursor: pointer;
    display: flex;
    align-items: center;
  }

  .posters-top {
    position: fixed;
    z-index: 9;
    background-color: #000;
    width: 100%;
    bottom: 0;
    margin-bottom: 0px;
    height: 80%;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    font-size: 40px;
    gap: 10%;
    overflow-y: auto;
    transform: translateY(100%);
    transition: 0.3s;
  }

  .posters-top.active {
    transform: translateY(0);
  }

  .posters-top svg {
    height: 50px;
    width: 50px;
  }

  .hide-filter {
    position: absolute;
    right: 20px;
    top: 20px;
    color: #fff;
    z-index: 10;
    display: unset;
    cursor: pointer;
    width: 34px !important;
    height: 34px !important;
  }

  h1 {
    display: none;
  }

  .select-options {
    position: unset;
    font-size: 28px;
    padding-left: 20px;
  }
}

@media (max-width: 900px) {
  .poster-container {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 600px) {
  .poster-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 520px) {
  .posters-top {
    font-size: 27px;
  }

  .select-options {
    font-size: 22px;
  }
}

@media (max-width: 400px) {
  .posters-top {
    font-size: 22px;
  }

  .select-options {
    font-size: 17px;
  }

  .poster-container {
    grid-template-columns: repeat(1, 1fr);
  }

  .alternative span {
    color: #fff;
    font-size: 37px;
  }
}
